Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.secure
Class JACCPreDeleteEventListener

    java.lang.Object
      org.hibernate.secure.JACCPreDeleteEventListener

All Implemented Interfaces:
  Serializable, Initializable, PreDeleteEventListener, JACCSecurityListener

    public class JACCPreDeleteEventListener

extends Object
implements PreDeleteEventListener, Initializable, JACCSecurityListener

Check security before any deletion

Author:
  Kabir Khan
See Also:
  Serialized Form

Constructor Summary
`JACCPreDeleteEventListener()`

Method Summary
`void` | `initialize(Configuration cfg)`
`boolean` | `onPreDelete(PreDeleteEvent event)` Return true if the operation should be vetoed

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JACCPreDeleteEventListener

    public JACCPreDeleteEventListener()

Method Detail

### onPreDelete

    public boolean onPreDelete(PreDeleteEvent event)

  Description copied from interface: `PreDeleteEventListener`
  Return true if the operation should be vetoed

  Specified by:
    `onPreDelete` in interface `PreDeleteEventListener`

### initialize

    public void initialize(Configuration cfg)

  Specified by:
    `initialize` in interface `Initializable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.